import type { AnonCredsProof, AnonCredsProofRequest } from '../models/exchange';
import type { AnonCredsCredentialDefinition, AnonCredsRevocationStatusList, AnonCredsRevocationRegistryDefinition, AnonCredsSchema } from '../models/registry';
export interface VerifyProofOptions {
    proofRequest: AnonCredsProofRequest;
    proof: AnonCredsProof;
    schemas: {
        [schemaId: string]: AnonCredsSchema;
    };
    credentialDefinitions: {
        [credentialDefinitionId: string]: AnonCredsCredentialDefinition;
    };
    revocationRegistries: {
        [revocationRegistryDefinitionId: string]: {
            definition: AnonCredsRevocationRegistryDefinition;
            revocationStatusLists: {
                [timestamp: number]: AnonCredsRevocationStatusList;
            };
        };
    };
}
